<?php
/*
name          : lang.php
description   : A PHP class to return text in certain languages for a lander
author        : Agent F
date          : 07/01/2022
version       : 1.0
notes         : Class will return an object with 5 strings (lang, t1, h1, h2, p1, btn) which can be accessed like a standard object i.e. $txt->lang

Learn about everything affiliate marketing on affLIFT the Fastest Growing Premium Affiliate Community

https://afflift.rocks/r/joinus
*/

class Language{

    // declare our public variables 
    public $lang;
    public $t1;
    public $h1;
    public $h2;
    public $p1;
    public $btn;
	
    //  initialise class and set lang
    public function __construct(){
        // try getting lang param from url
        if (isset($_GET['lang'])) {
            // if found set the lang variable to this
            $this->lang=$_GET['lang'];
        } else {
            // if not found default to english
            $this->lang="en";
        }
        // call function to populate text for lander
        $this->text();
    }
    
    // function to populate the required variables for the lander
    // to add more languages simply copy case element and change the 2 letter country code and text, be sure to include break at the end or will not work!
    public function text(){
        switch($this->lang){
            case "fr": // French language text
                $this->t1="Test sportif en ligne $$$";
                $this->h1="Aujourd'hui seulement!";
                $this->h2="Répondez à ces questions sportives et <span class='bold'>GAGNEZ GROS!</span>";
                $this->p1="OFFRE UNIQUEMENT VALABLE POUR:";
                $this->btn="COMMENCEZ MAINTENANT";
                break;
            case "pt": // Portuguese language text
                $this->t1="Teste de esportes online $$$";
                $this->h1="Só hoje!";
                $this->h2="Responda a essas questões esportivas e <span class='bold'>GANHAR MUITO!</span>";
                $this->p1="OFERTA SÓ VÁLIDA PARA:";
                $this->btn="COMECE AGORA";
                break;
            case "de": // German language text
                $this->t1="Online-Sporttest $$$";
                $this->h1="Nur heute!";
                $this->h2="Beantworte diese Sportfragen und <span class='bold'>GROSSER GEWINN!</span>";
                $this->p1="ANGEBOT NUR GÜLTIG FÜR:";
                $this->btn="JETZT ANFANGEN";
                break;        
            default: // Default language text (English)
                $this->t1="Online Sports Test $$$";
                $this->h1="Today Only!";
                $this->h2="Answer these sports questions and <span class='bold'>WIN BIG!</span>";
                $this->p1="OFFER ONLY VALID FOR:";
                $this->btn="START NOW";
                break;
        }

    }
    
}

?>
